Subject: Re: Q: State of Linux RSTP support

From: Vlad Yasevich <[email-masked]>
Date: Wed, 24 Sep 2014 14:23:54 -0400

On 09/24/2014 02:00 PM, Tilman Schmidt wrote:
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
> 
> According to Stephen Hemminger's presentation at
> http://www.slideshare.net/shemminger/new-bridge (which seems to be the
> most recent information available on the topic) the in-kernel bridging
> code only provides STP. RTSP is (should be) provided by a user space
> daemon, rtspd. However, none of the distributions I routinely use
> provide that daemon. Sourceforge has a project named rstpd but it
> seems to be inactive.
> 
> A search for RSTP in the current git tree finds
> 
> - - in net/bridge/br_netlink.c, a comment:
>                       /* Binary compatibility with old RSTP */
> 
> - - in net/bridge/br_private.h, an enum constant for struct net_bridge
> member stp_enabled:
>               BR_USER_STP,            /* new RSTP in userspace */
> 
> but nothing in, say, the Documentation folder.

There is https://git.kernel.org/cgit/linux/kernel/git/shemminger/rstp.git/
but it's 3 years old.  Don't know if Stephen has anything newer.

-vlad

> 
> Any pointers?
> 
> aTdHvAaNnKcSe,
> Tilman
> 
> - -- 
> Tilman Schmidt                              E-Mail: [email-masked]
> Bonn, Germany
> Diese Nachricht besteht zu 100% aus wiederverwerteten Bits.
> Ungeöffnet mindestens haltbar bis: (siehe Rückseite)
> -----BEGIN PGP SIGNATURE-----
> Version: GnuPG v2
> 
> iQEcBAEBAgAGBQJUIwaiAAoJEFPuqx0v+F+q/dIIAI8tK2C7yVPoD3PaLwwVqcxQ
> 9lV3VCXiRT4v1fGTqEtzTJhoyPAqZw+iHbmoPVZow9GPEAS1m5nPYBE44cejmP6M
> SL0OtQmcnYO0UNBsIpwA6F8g+e3ZraivtAv4CVoBLMXGWrAz7zrERIRTkk0XOMdG
> t2Is1e+U+48DlOH8CIPhqOEu/kIABz2GMle5S94VzlBkeBsGL9ifDrFxACtxbkEN
> YJIm9QKxZa/MGwksgHCoQWDafrcs8RL6FhQDBVCUVhrERlp/12+kKwYXxvH9kv+a
> YAAzMXkAu+3zPTI0Bl99M4NEQ57Z0FKtb8pwug9wSKH7UWdx18pKYOsYUdMwROM=
> =s37Z
> -----END PGP SIGNATURE-----
> --
> To unsubscribe from this list: send the line "unsubscribe netdev" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html
>